## rtph261depay rtph261depay |

## Types and Values

struct | GstRtpH261Depay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBaseDepayload
                        ╰── GstRtpH261Depay

## Description

Extract encoded H.261 video frames from RTP packets according to RFC 4587. For detailed information see: https://www.rfc-editor.org/rfc/rfc4587.txt

The depayloader takes an RTP packet and extracts its H.261 stream. It aggregates the extracted stream until a complete frame is received before it pushes it downstream.

### Example pipeline

    1
    gst-launch-1.0 udpsrc caps='application/x-rtp, payload=31' ! rtph261depay ! avdec_h261 ! autovideosink

This example pipeline will depayload and decode an RTP H.261 video stream. Refer to the rtph261pay example to create the RTP stream.

## Synopsis

### Element Information

plugin | rtp
author | Stian Selnes <stian@pexip.com>
class | Codec/Depayloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, media=(string)video, payload=(int)31, clock-rate=(int)90000, encoding-name=(string)H261
| application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)H261

name | src
direction | source
presence | always
details | video/x-h261

## Functions

## Types and Values

### struct GstRtpH261Depay

    struct GstRtpH261Depay;

## See Also

rtph261pay